
Name: kigo
Summary: Kigo is an implementation of the Go game.
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}kdegames-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kservice-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kiconthemes-devel
BuildRequires: kcompletion-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

Requires:   libkdegames

%description
Kigo is an open-source implementation of the popular Go game.
Go is a strategic board game for two players. It is also known
as igo (Japanese), weiqi or wei ch'i (Chinese) or baduk (Korean).
Go is noted for being rich in strategic complexity despite its simple rules. 


%files
%{_bindir}/kigo
%{_datadir}
#------------------------------------------------------------------------------

%package -n kigo-handbook
Summary: kogo handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kigo-handbook
This package provides the kigo handbook.

%files -n kigo-handbook
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir %buildroot/%{_datadir}/applications %buildroot/%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

